function RAW_IMAGE = AdaptiveSegmentation(BW,len,shift,step,IMAGE)
REGIONS = BW;
for i=shift(1):step(1):len(1)
    REGIONS(i,:) = 0;
end
for i=shift(2):step(2):len(2)
    REGIONS(:,i) = 0;
end

[B_REGION,L_REGION] = bwboundaries(REGIONS,'noholes');
stats = regionprops(L_REGION,'PixelIdxList');
RAW_IMAGE = REGIONS;
for i=1:length(B_REGION)
    pixels = [];
    pixels = stats(i).PixelIdxList;
    intensity = IMAGE(pixels(:));
    threshold = graythresh(intensity);
    RAW_IMAGE(pixels(intensity<threshold)) = 0;
end