names = 'D:\\Simulation\may\'
postfix = [{'0'};{'0.05'};{'0.1'};{'0.15'};{'0.19'};];
DISTANCE_POCKETS = 2:1:100;
for i=1:length(postfix)
    parameters = dlmread([name 'all image' cell2mat(postfix(i)) ' par.txt']);
    for k=1:length(parameters)
        par = parameters(:,k);
        f = mixpdf(par,DISTANCE_POCKETS);
        index =find(DISTANCE_POCKETS>par(2));
        [MIN_F, MIN_DIAMETER_NUMBER(i)] = min(f(1:(index(1)-1)));
        MIN_DIAMETER(i,k) = DISTANCE_POCKETS(MIN_DIAMETER_NUMBER(i));
        MAX_DIAMETER(i,k) = par(2)+2*par(3);
    end
end
dlmwrite([name 'min diameters.txt'],MIN_DIAMETER,';');
dlmwrite([name 'max diameters.txt'],MAX_DIAMETER,';');