
close all
clc
clear all
% name = '/home/yauhenia/University/Aspirant/Article/Raw images/Merge00';
% postfix = ['015';'016';'023';'081';'087';'088';'093';'094';'095';'096';'097';'098';'154';'186'];
postfix = [{'image 0'};{'image 0.0001'}; {'image 0.0002'}; {'image 0.0003'}; {'image 0.0004'}; {'image 0.0005'}; {'image 0.0006'}; {'image 0.0007'}; {'image 0.0008'};{'image 0.0009'};{'image 0.001'}; {'image 0.002'}; {'image 0.003'}; {'image 0.004'}; {'image 0.005'}; {'image 0.006'}; {'image 0.007'}; {'image 0.008'};{'image 0.009'};];
name = '/home/yauhenia/University/Aspirant/Simulation/rResultsOfSimulation/Sim5/';
% num_postfix = [0;0.01;0.02;0.03;0.04;0.05;0.06;0.07;0.08;0.09;0.1;0.2;0.3;0.4;0.5;0.6;0.7;0.8;0.9;1];
% num_postfix = [0.05;]/100;
% postfix = num2str(num_postfix);
% postfix = ['0';'0.001';'0.01';'0.02';'0.03';'0.04';'0.05';'0.06';'0.07';'0.08';'0.09';'0.1';'0.2';'0.3';'0.4';'0.5';'0.6';'0.7';'0.8';'0.9';'1'];

for name_indexes = 1:length(postfix)
    % for name_indexes = 1:length(postfix)
    % I = imread([name num2str(num_postfix(name_indexes,:)) '.tiff']);
    I = imread([name cell2mat(postfix(name_indexes)) '.tiff']);
    I = im2double(I);
    [len_x len_y len_c] = size(I);
    'finds tumor mask'
    [TUMOR MinDiameter MaxDiameter BW_3] = tumormask_holes_tumor(I);
    MinDiameter
    MaxDiameter
    imwrite(TUMOR,[name cell2mat(postfix(name_indexes)) 'tumor.tif']);

    NUCLEI_SINGLED = nuclei_segmentation(I,TUMOR,MinDiameter,MaxDiameter,BW_3);
    D = bwdist(NUCLEI_SINGLED);
    DL = watershed(D);
    bgm = DL == 0;
    bgm = ~bgm;
    bgm = and(TUMOR,bgm);
     [B_CELL,L_CELL] = bwboundaries(bgm,'noholes');
    [B_NUCLEI,L_NUCLEI] = bwboundaries(NUCLEI_SINGLED,'noholes');
 imwrite(NUCLEI_SINGLED,[name cell2mat(postfix(name_indexes)) 'nuclei_ERROR.tiff']);
 imwrite(bgm,[name cell2mat(postfix(name_indexes)) 'cell_ERROR.tiff']);
end