function [NUCLEI_SINGLED,NUCLEI_CLUMPED] = devideobjects3(IMAGE,NUCLEI_SINGLED,NUCLEI_CLUMPED,MaxDiameter,MinDiameter)
B_CLUMPED = []; L_CLUMPED = []; stats_clumped = [];
[B_CLUMPED,L_CLUMPED] = bwboundaries(NUCLEI_SINGLED,'noholes');
stats_clumped = regionprops(L_CLUMPED,'Area','PixelIdxList','Perimeter');
AREA = [];
NUCLEI_CLUMPED(:,:) = 0;
for j=1:length(B_CLUMPED)
%         AREA(j) = 4*pi*stats_clumped(j).Area/(stats_clumped(j).Perimeter^2);
        AREA(j) = stats_clumped(j).Area;
end
% threshold = mean(AREA);
threshold = 0.25*pi*MaxDiameter*MaxDiameter;
for i=1:length(B_CLUMPED)
    if (AREA(i)>threshold)
        i
        NUCLEI_CLUMPED(stats_clumped(i).PixelIdxList) = 1;
        NUCLEI_SINGLED(stats_clumped(i).PixelIdxList) = 0;
    end
end
BLUE_2 = 1-im2double(IMAGE(:,:,3));
BLUE_2(NUCLEI_CLUMPED<1)=0;
% figure(9),imshow(NUCLEI_CLUMPED),title('NUCLEI_CLUMPED_2');
% hold on
% plot(vx,vy)
% plot(J,I,'p')
% hold off

Overlaid = imimposemin(BLUE_2,NUCLEI_CLUMPED);
% figure(10),imshow(Overlaid),title('Overlaid')


WatershedBoundaries = watershed(Overlaid) > 0;
NUCLEI_CLUMPED = NUCLEI_CLUMPED.*WatershedBoundaries;
   
NUCLEI_SINGLED  = or(NUCLEI_CLUMPED,NUCLEI_SINGLED);