function roughness = my_criteria(BW)
B = []; L = []; stats= [];
[B,L] = bwboundaries(BW,'noholes');
stats = regionprops(L,'PixelList','Centroid');
CENTER = stats(1).Centroid;
pixels = B{1};
% pixels = stats(1).PixelList;
SIZE = size(pixels);
if SIZE(2)==2
    for i=1:SIZE(1)
        d(i) = sqrt((pixels(i,1)-pixels(1,1))^2+(pixels(i,2)-pixels(1,2))^2);
    end
    d= d/max(d);
    COSINUS = sin(0:(pi/(SIZE(1))):pi);
    if length(d)~= length(COSINUS)
        COSINUS(length(COSINUS)) = [];
    end
    roughness = min(min(abs(corrcoef([d;COSINUS]'))));
    if isnan(roughness)
        roughness = 0;
    end
    if roughness == Inf
        roughness = 0;
    end
else
    roughness = 0;
end
% figure,plot(d)
% hold on
% plot(COSINUS,'Color','red')
% hold off
% title(roughness)
% figure(2),imshow(BW)
