close all
clear all
clc
I = imread('D:\\RealImages\Merge00016.tif');
[len_x len_y len_z] = size(I);
array(1:len_x*len_y) = im2double(I(:,:,2));

figure(1),imshow(I);
max(array)
min(array)
indexes = find(array>0.3);
array(indexes) = [];
[nelements,xcenters] = hist(array,100);
nelements = nelements;
figure(2), h = bar(xcenters,nelements)
set(h(1),'EdgeColor','black','FaceColor','black');
xlabel('Intensity a.u.');
ylabel('Counts');