close all
clc 
clear all
name = 'D:\\Simulation\may\';
I = imread([name 'all image0.tiff']);
[len_x len_y len_z] = size(I);

GREEN = I(:,:,2);
threshold = 1/255;
RAW_MASK_GREEN = ~im2bw(GREEN,threshold);
MASK_GREEN = imread([name 'RAW_MASK_GREEN.gif']);

BLUE = I(:,:,3);
threshold = 1/255;
RAW_MASK_BLUE = im2bw(BLUE,threshold);
NUCLEI = RAW_MASK_GREEN;
% imwrite(RAW_MASK_GREEN,[name 'RAW_MASK_GREEN.gif']);

NUCLEI = and(MASK_GREEN,RAW_MASK_BLUE);
NUCLEI2 = and(MASK_GREEN,RAW_MASK_GREEN);
D = xor(NUCLEI2,NUCLEI);
figure(1),imshow(I);

figure(2),imshow(I)
% figure(1),imshow(NUCLEI);
hold on
[B L] = bwboundaries(NUCLEI2,'noholes');
stats = regionprops(L,'EquivDiameter');
EquivDiameter = [];
for i=1:length(B)
    boundary = B{i};
    EquivDiameter(i) = stats(i).EquivDiameter;
    plot(boundary(:,2),boundary(:,1),'Color','yellow','LineWidth',2);
end
[MAX_EquivDiameter NUMBER] = max(EquivDiameter);
boundary = B{NUMBER};
plot(boundary(:,2),boundary(:,1),'Color','red','LineWidth',2);
hold off

mean(EquivDiameter)
min(EquivDiameter)
max(EquivDiameter)