function [RESULT_ERODE,MIN_DIAMETER,MAX_DIAMETER,MEAN_DIAMETER]= ImageSegmentationItaly(I,BW_MASK,MIN_DIAMETER,MAX_DIAMETER,MEAN_DIAMETER) 
    BLUE = im2double(I);
    [len_x len_y len_c] = size(I);
    'finds tumor mask'
    k=1;
    RAW_IMAGE = uint8(ones(len_x,len_y));
    
    domain=fspecial('disk',fix(0.5*MEAN_DIAMETER))>0;
    B = ordfilt2(BLUE,round(0.5*numel(find(domain))),domain);
    
    for shift_index=1:(MAX_DIAMETER/10):MAX_DIAMETER
        len = [len_x,len_y];
        shift = fix([shift_index,shift_index]);
        step = fix([MAX_DIAMETER,MAX_DIAMETER]);
%         IMAGE = mat';
        IMAGE = BLUE;
%         IMAGE = PCASpace(BLUE);
        RAW_IMAGE = imadd(uint8(AdaptiveSegmentation(BW_MASK,len,shift,step,IMAGE)),RAW_IMAGE);
        k=k+1;
    end
    BW = (RAW_IMAGE>fix(0.5*(k-1)));
    MaxDiameter = MAX_DIAMETER;
    MinDiameter = MIN_DIAMETER;
    IMAGE = I;
    
     BW_NUCLE_MASK = and(BW_MASK,BW);
    
    se = strel('disk',MIN_DIAMETER);
    BW_MASK2 = imerode(BW_MASK,se);
    RESULT = and(BW_NUCLE_MASK,BW_MASK2);
    RESULT2 = xor(RESULT,BW_NUCLE_MASK);
    
    se = strel('disk',2);
    RESULT_DILATE = imdilate(RESULT,se);
    RESULT_ERODE = imerode(RESULT_DILATE,se);
