 function [NUCLEI_SINGLED,NUCLEI_CLUMPED,AREA] = devideobjects2(IMAGE,NUCLEI_SINGLED,NUCLEI_CLUMPED,MaxDiameter,MinDiameter)   

 B_CLUMPED = []; L_CLUMPED = []; stats_clumped = [];
 [B_CLUMPED,L_CLUMPED] = bwboundaries(NUCLEI_SINGLED,'noholes');
 stats_clumped = regionprops(L_CLUMPED,'Area','PixelIdxList','Perimeter');
 AREA = [];
 for j=1:length(B_CLUMPED)
     AREA(j) = 4*pi*stats_clumped(j).Area/(stats_clumped(j).Perimeter^2);
 end
 indexes = find(AREA~=Inf);
threshold= prctile(AREA(indexes),90)
threshold= prctile(AREA(indexes),30)
 NUCLEI_CLUMPED(:,:) = 0;
 for i=1:length(B_CLUMPED)
     if (AREA(i)<threshold)
         NUCLEI_CLUMPED(stats_clumped(i).PixelIdxList) = 1;
         NUCLEI_SINGLED(stats_clumped(i).PixelIdxList) = 0;
     end
 end
 BLUE_2  = bwdist(~NUCLEI_CLUMPED);
 [NUCLEI_CLUMPED vx vy I,J] = voronoi_segmentation(BLUE_2,NUCLEI_CLUMPED,MinDiameter,MaxDiameter);    
 NUCLEI_SINGLED  = or(NUCLEI_CLUMPED,NUCLEI_SINGLED);