function [NUCLEI_CLUMPED vx vy I,J] = voronoi_segmentation2(BLUE_2,NUCLEI_CLUMPED,MinDiameter,MaxDiameter)    
% [CENTERS] = CenterOfCells(BLUE_2,MinDiameter,MaxDiameter,1);
CENTERS = imimposemin(BLUE_2,NUCLEI_CLUMPED);
figure, imshow(CENTERS);
[s] = size(CENTERS);
indexes = [];
indexes = find(CENTERS==1);
[I,J] = ind2sub(s,indexes);
[vx, vy] = voronoi(J,I);
     
s = size(NUCLEI_CLUMPED);
EDGE = zeros(s);
se = strel('disk',1); 
for j=1:length(vx)        
    N = fix(abs(vx(2,j)-vx(1,j)))+fix(abs(vy(2,j)-vy(1,j)));
    N=2*N;
    x = (linspace(vx(1,j),vx(2,j),N));
    if (vx(2,j)-vx(1,j))~=0
        a = (vy(2,j)-vy(1,j))/(vx(2,j)-vx(1,j));
        b = vy(2,j) - a*vx(2,j);
        y = fix(a*x+b);
    else
        y = fix((linspace(vy(1,j),vy(2,j),N)));
    end
    x = fix(x);
    indexes = [];
    indexes = find(x<1);
    x(indexes) = []; y(indexes) = [];
    indexes = [];
    indexes = find(y<1);
    x(indexes) = []; y(indexes) = [];
    indexes = [];
    indexes = find(y>s(2));
    x(indexes) = []; y(indexes) = [];
    indexes = [];
    indexes = find(x>s(1));
    x(indexes) = []; y(indexes) = [];
    for k=1:length(x)
        NUCLEI_CLUMPED(y(k),x(k)) = 0;
        EDGE(y(k),x(k)) = 1;
    end
end
EDGE = imdilate(EDGE,se);
NUCLEI_CLUMPED(EDGE>0) = 0;
        
